Bug 964767 - [abrt] simple-scan-3.4.1-1.fc17: g_type_check_instance: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
[abrt] simple-scan-3.4.1-1.fc17: g_type_check_instance: Process /usr/bin/simp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: simple-scan (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:b5df8b241dc7560567dfdcfbf3a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 14:30 EDT by Kevin Masaryk
Modified: 2013-08-01 00:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:56:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.83 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: cgroup (126 bytes, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: core_backtrace (4.04 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: dso_list (17.54 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: environ (1.57 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: maps (79.65 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: open_fds (1.48 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: smolt_data (3.87 KB, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: var_log_messages (835 bytes, text/plain)
2013-05-19 14:30 EDT, Kevin Masaryk
no flags Details
File: xsession_errors (107.81 KB, text/plain)
2013-05-19 14:31 EDT, Kevin Masaryk
no flags Details

  None (edit)
Description Kevin Masaryk 2013-05-19 14:30:39 EDT
Description of problem:
Just scanning documents (text) into my HP Photosmart C4280 and simple-scan suddenly crashed. This happens frequently and was also a problem on F16. Generally scans 5-8 pages successfully before crashing. Doesn't seem to matter if each scan is one document with 5-8 pages or if it's 5-8 documents I'm creating/saving.

Version-Release number of selected component:
simple-scan-3.4.1-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        simple-scan
crash_function: g_type_check_instance
executable:     /usr/bin/simple-scan
kernel:         3.8.12-100.fc17.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance at gtype.c:4073
 #1 g_signal_emit_by_name at gsignal.c:3381
 #6 page_set_named_crop at page.c:1280
 #7 simple_scan_set_crop at ui.c:2732
 #12 gtk_check_menu_item_toggled at gtkcheckmenuitem.c:356
 #13 gtk_radio_menu_item_activate at gtkradiomenuitem.c:570
 #14 _g_closure_invoke_va at gclosure.c:840
 #17 gtk_widget_activate at gtkwidget.c:6411
 #18 gtk_menu_shell_activate_item at gtkmenushell.c:1429
 #19 gtk_menu_shell_button_release at gtkmenushell.c:830
Comment 1 Kevin Masaryk 2013-05-19 14:30:41 EDT
Created attachment 750166 [details]
File: backtrace
Comment 2 Kevin Masaryk 2013-05-19 14:30:43 EDT
Created attachment 750167 [details]
File: cgroup
Comment 3 Kevin Masaryk 2013-05-19 14:30:45 EDT
Created attachment 750168 [details]
File: core_backtrace
Comment 4 Kevin Masaryk 2013-05-19 14:30:47 EDT
Created attachment 750169 [details]
File: dso_list
Comment 5 Kevin Masaryk 2013-05-19 14:30:48 EDT
Created attachment 750170 [details]
File: environ
Comment 6 Kevin Masaryk 2013-05-19 14:30:50 EDT
Created attachment 750171 [details]
File: limits
Comment 7 Kevin Masaryk 2013-05-19 14:30:51 EDT
Created attachment 750172 [details]
File: maps
Comment 8 Kevin Masaryk 2013-05-19 14:30:53 EDT
Created attachment 750173 [details]
File: open_fds
Comment 9 Kevin Masaryk 2013-05-19 14:30:55 EDT
Created attachment 750174 [details]
File: proc_pid_status
Comment 10 Kevin Masaryk 2013-05-19 14:30:56 EDT
Created attachment 750175 [details]
File: smolt_data
Comment 11 Kevin Masaryk 2013-05-19 14:30:57 EDT
Created attachment 750176 [details]
File: var_log_messages
Comment 12 Kevin Masaryk 2013-05-19 14:31:00 EDT
Created attachment 750177 [details]
File: xsession_errors
Comment 13 Fedora End Of Life 2013-07-03 20:49:33 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 00:56:10 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.